//---------------------------------------------------------------------------

#ifndef Unit4H
#define Unit4H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include <ValEdit.hpp>
//---------------------------------------------------------------------------
class TForm4 : public TForm
{
__published:	// IDE-managed Components
        TComboBox *combo_komp;
        TValueListEditor *valuelist_hodnoty;
        TLabeledEdit *edit_delka;
        TListBox *listbox_komp;
        TButton *button_vyber;
        TButton *button_test;
        TLabel *label_test;
        TButton *button_zpet;
        void __fastcall combo_kompChange(TObject *Sender);
        void __fastcall listbox_kompClick(TObject *Sender);
        void __fastcall button_vyberClick(TObject *Sender);
        void __fastcall button_testClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall button_zpetClick(TObject *Sender);
        void __fastcall edit_delkaKeyPress(TObject *Sender, char &Key);
        void __fastcall valuelist_hodnotyDrawCell(TObject *Sender,
          int ACol, int ARow, TRect &Rect, TGridDrawState State);
private:	// User declarations
public:		// User declarations
        __fastcall TForm4(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm4 *Form4;
//---------------------------------------------------------------------------
#endif
